Download it now!
Bug 96285 - Table wizard isn't usable under gtk3
Summary: Table wizard isn't usable under gtk3
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All Linux (All)
: medium major
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.2.0 target:5.1.0.1
Keywords: regression
Depends on:
Blocks:
 
Reported: 2015-12-06 10:54 UTC by Maxim Monastirsky
Modified: 2016-10-25 19:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (Fedora 23) (57.45 KB, image/png)
2015-12-06 10:54 UTC, Maxim Monastirsky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maxim Monastirsky 2015-12-06 10:54:47 UTC
Created attachment 121068 [details]
screenshot (Fedora 23)

Open a database, switch to Tables, and click "Use Wizard to Create Table". The wizard dialog has a wrong size, making it unusable.

This is a regression of:

commit 77f2fed86d512d8e1942a75b91cd13ce1945c149
Author: Caolán McNamara <caolanm@redhat.com>
Date:   Fri Dec 4 11:40:13 2015 +0000

    Resolves: tdf#95865 gtk3: disentangle Geometry handling
Comment 1 Julien Nabet 2015-12-06 14:58:24 UTC
On pc Debian x86-64, gtk3 by default, with master sources updated today, I could reproduce this.
Indeed, I don't reproduce this with SAL_USE_VCLPLUGIN=gtk
Comment 2 Commit Notification 2015-12-08 13:39:44 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e1df21cfe0318bf287ae8ce29261d4759c49bd5a

Resolves: tdf#96285 restore bodge for unresizable windows with no min size set

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2015-12-08 13:41:14 UTC
That should do the trick I guess
Comment 4 Commit Notification 2015-12-08 13:43:56 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8f93c591a6d6faf8f503c61e70a54d47feadca30&h=libreoffice-5-1

Resolves: tdf#96285 restore bodge for unresizable windows with no min size set

It will be available in 5.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Maxim Monastirsky 2015-12-09 11:47:38 UTC
Thanks Caolán!